For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscription history

Retrieve the history of a subscription

get

Overview

Retrieve information on the evolution of a subscription in the 2Checkout system, including details of the initial acquisition and the subsequent renewals and upgrades.

Subscriptions can be retrieved starting with 5 minutes after their orders are generated in the 2Checkout system.

Path parameters
SubscriptionReferencestringRequired

Unique, system-generated subscription identifier.

Example: 48F5AC7011
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get
/subscriptions/{SubscriptionReference}/history/
200

OK

Extend a subscription

put

Extends an existing subscription.

Path parameters
SubscriptionReferencestringRequired

Unique, system-generated subscription identifier.

Example: 13E4ED768D
Query parameters
DaysstringRequired

The number of days of delay.

Example: 7
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Responses
200

OK

application/json
put
/subscriptions/{SubscriptionReference}/history/
200

OK

Retrieve a subscription's purchase, renewal or upgrade details

get

Retrieve a snapshot of a subscription’s evolution corresponding to a specific purchase for which you provide the order reference number.

Path parameters
SubscriptionReferencestringRequired

Unique, system-generated subscription identifier.

Example: 48F5AC7011
OrderReferencestringRequired

Reference number for approved/paid orders.

Example: 1234567
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get
/subscriptions/{SubscriptionReference}/history/{OrderReference}/
200

OK

Last updated

Was this helpful?